package com.bernard.mcqinator.api.quiz;

import com.bernard.mcqinator.api.fragenStats.QuizStat;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.Serializable;

/**
 * Created by samy on 14/04/17.
 * @author Mysaa
 */

public abstract class Quiz<S extends QuizStat> implements Serializable {

    public abstract void genDefault();

    public abstract void write(DataOutputStream fos) throws IOException;

    public abstract void read(DataInputStream fin) throws IOException;
}
